# Tests for ob_set_source_substvar(), ob_set_binary_substvar(), and
# ob_substvars()
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"
. "${TOP_BUILDDIR}/lib/libopkbuild.${SHSOEXT}.${LIBOPKBUILD_SHSOVERSION}"

plan_ 4

command_ok_ 'setting source substvar' -- \
	ob_set_source_substvar 'Source-Substvar' '
Source substvar value
'

is 'source package substvars' \
	"$(ob_substvars 'Field: ${Source-Substvar}')" \
	'Field: Source substvar value'

command_ok_ 'setting binary substvar' -- \
	ob_set_binary_substvar 'Binary-Substvar' '
Binary substvar value
' 'binpkg'

is 'binary package substvars' \
	"$(ob_substvars 'Field: ${Binary-Substvar}' 'binpkg')" \
	'Field: Binary substvar value'
